
import localCache from "./localCache";
import global from '../global'

class Http {
    constructor() {
        this.queue = {};
    }

    post(options) {
        const { baseURL, url, params, data } = options;
        const { _req } = global;
        if (_req && _req.before) {
            _req.before(options);
        }
        return new Promise((resolve) => {
            uni.request({
                url: baseURL + url + qs.stringify(params),
                data,
                header: Object.assign({
                    'Content-Type': 'application/json',
                }, (() => {
                    const headers = {};
                    if (localCache.tokenGet()) {
                        headers[_cache?.jwtKey] = localCache.tokenGet();
                    }
                    return headers;
                })()),
                success: (res) => {
                    if (_req && _req.after) {
                        _req.after(res);
                    }
                    resolve(res.data);
                }
            });
        })
    }
}

export default new Http();
